## net.sf.statcvs
Class Messages

    java.lang.Object
      net.sf.statcvs.Messages

    public class Messages

extends java.lang.Object

This class manages the externalization of strings that will possiby be presented to the user

Version:
  $Id: Messages.java,v 1.11 2008/04/02 11:22:16 benoitx Exp $
Author:
  Lukasz Pekacki

Field Summary
`static java.lang.String` `NL` Newline constant
`static java.lang.String` `WS` Whitespace constant

Constructor Summary
`Messages()`

Method Summary
`static java.lang.String` `getString(java.lang.String key)` Returns the value for the specified key.
`static void` `setPrimaryResource(java.lang.String primaryResourceName)` This method enables a user, typically of another project, to set a primary resource bundle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WS

    public static final java.lang.String WS

  Whitespace constant

  See Also:
    Constant Field Values

### NL

    public static final java.lang.String NL

  Newline constant

  See Also:
    Constant Field Values

Constructor Detail

### Messages

    public Messages()

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

  Returns the value for the specified key. Key-value pairs are specified in the resourcebundle properties file, either the primary one or, it falls back on the original one.

  Parameters:
    `key` - key of the requested string
  Returns:
    String

### setPrimaryResource

    public static void setPrimaryResource(java.lang.String primaryResourceName)

  This method enables a user, typically of another project, to set a primary resource bundle. If no value or null, it will revert to the original bundle.

  Parameters:
    `primaryResourceName` -